Release 5.5.0 (1153)
Closed, ResolvedPublic

Description

Release version: 5.5.0 (1153)
Release tag: releases/5.5.0
Release SHA1: b37c1e78de4bf3fecfa0c0193f0911393f0b1b2b
App Store Submission Date: 7/15/2017
App Store Approval Date: 7/16/2017
App Store Release Date: 7/20/2017
Regression Testing URL: T167323


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Coordinate with Comms
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Update app store description
  • Update app store screenshots and promotional art T167334: Update store screenshot
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Notify Comms to post on Twitter and Facebook
  • Post on mobile-l
JMinor created this task.Jun 7 2017, 5:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2017, 5:38 PM
JMinor added a comment.Jun 7 2017, 5:53 PM

Draft update text:

Explore Wikipedia and the world around you like never before. This major update includes:

  • New Places tab lets you find Wikipedia articles near you or across the globe. Use maps to find the most interesting articles next door, or anywhere your curiosity takes you.
  • Easily view a Place on Maps or even get directions from the Share menu for articles with locations.
  • Quick search box on the Explore screen lets you get right to search for the answers to your burning questions.
  • Improved "In the News" design, to make it easier to learn more about whats happening in our world.
  • Updated Explore design to make discovering interesting new content even easier. Add "infinite" scroll so you can catch up on what you missed just by scrolling down.
  • Clear app caches from the Settings menu, to reclaim storage the Wikipedia app takes on your device.
  • Overall performance improvements mean faster loading and smoother scrolling.
JMinor triaged this task as High priority.Jun 7 2017, 5:53 PM
JMinor renamed this task from Release 5.5.0 (11??) to Release 5.5.0 (1150).Jun 14 2017, 2:44 AM
JMinor updated the task description. (Show Details)
JMinor renamed this task from Release 5.5.0 (1150) to Release 5.5.0 (1153).Jun 15 2017, 10:54 PM
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)Jun 20 2017, 10:44 PM
JMinor updated the task description. (Show Details)Jun 20 2017, 10:48 PM

@JoeWalsh can you cut a release tag for 1153 on GitHub? Thanks!

Something went wrong with publishing to the App Store. The update notes say "5.5.0" and mention all new features (such as iOS-app-feature-Places), but the build when opening the downloaded app it is 1132 (5.4.2) without places.

@Josve05a I just updated from the app store and got 5.5.0 with Places.

Josve05a added a comment.EditedJun 21 2017, 11:41 AM

@Josve05a I just updated from the app store and got 5.5.0 with Places.

I just (after deleting the TestFlight version) downloaded the app from the (Swedish) App Store, and I didn't get that.

My therories:

  • Problem with the Swedish App Store version
  • Problem with the iOS 11 App Store
  • Some local phone cache issue

Hmmm...I restarted my phone (with the two-button-press safe restart option), and tried to re-download the app, and I got the correct app version, but before I did get the wrong version 3 times...

JMinor updated the task description. (Show Details)Jun 22 2017, 10:58 PM
JMinor closed this task as Resolved.

@Josve05a yeah, sometimes updates are pushed to app stores in waves, so updates may appear in different stores slightly delayed over the first day.